from django.urls import path
from . import views

app_name = 'backups'

urlpatterns = [
    path('', views.backup_list, name='backup_list'),
    path('create/', views.backup_create, name='backup_create'),
    path('<int:backup_id>/', views.backup_detail, name='backup_detail'),
    path('<int:backup_id>/download/', views.backup_download, name='backup_download'),
    path('<int:backup_id>/restore/', views.backup_restore, name='backup_restore'),
    path('<int:backup_id>/delete/', views.backup_delete, name='backup_delete'),
] 