from django.urls import path
from . import views

app_name = 'clusters'

urlpatterns = [
    path('', views.cluster_list, name='cluster_list'),
    path('create/', views.cluster_create, name='cluster_create'),
    path('<int:cluster_id>/', views.cluster_detail, name='cluster_detail'),
    path('<int:cluster_id>/edit/', views.cluster_edit, name='cluster_edit'),
    path('<int:cluster_id>/delete/', views.cluster_delete, name='cluster_delete'),
    path('<int:cluster_id>/start/', views.cluster_start, name='cluster_start'),
    path('<int:cluster_id>/stop/', views.cluster_stop, name='cluster_stop'),
    path('<int:cluster_id>/restart/', views.cluster_restart, name='cluster_restart'),
    path('<int:cluster_id>/update/', views.cluster_update, name='cluster_update'),
    path('<int:cluster_id>/users/', views.cluster_users, name='cluster_users'),
    path('<int:cluster_id>/databases/', views.cluster_databases, name='cluster_databases'),
    path('<int:cluster_id>/instances/', views.cluster_instances, name='cluster_instances'),
] 